Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.j2ee.statistics
Class GetterInvocationHandler

    java.lang.Object
      com.sun.appserv.management.j2ee.statistics.GetterInvocationHandler

All Implemented Interfaces:
  java.lang.reflect.InvocationHandler, java.io.Serializable

Direct Known Subclasses:
  MapGetterInvocationHandler

public abstract class GetterInvocationHandler
extends java.lang.Object
implements java.lang.reflect.InvocationHandler, java.io.Serializable

Abstract base `InvocationHandler` for any getXXX() method.
Internal use only

See Also:
  Serialized Form

Constructor Summary
`GetterInvocationHandler()`

Method Summary
`protected abstract boolean` | `containsValue(java.lang.String name)`
`protected abstract java.lang.Object` | `getValue(java.lang.String name)`
`java.lang.Object` | `invoke(java.lang.Object myProxy, java.lang.reflect.Method method, java.lang.Object[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetterInvocationHandler

    public GetterInvocationHandler()

Method Detail

### getValue

    protected abstract java.lang.Object getValue(java.lang.String name)

### containsValue

    protected abstract boolean containsValue(java.lang.String name)

### invoke

    public java.lang.Object invoke(java.lang.Object myProxy,
                                   java.lang.reflect.Method method,
                                   java.lang.Object[] args)
                            throws java.lang.Throwable

  Specified by:
    `invoke` in interface `java.lang.reflect.InvocationHandler`
  Throws:
    `java.lang.Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.